package proxy.command;

import com.google.common.collect.Collections2;

import proxy.Proxy;
import proxy.handler.ProxyHandler;
import proxy.util.Formatter;
import proxy.util.User;

public class CommandRevoke extends Command {
	public String getName() {
		return "revoke";
	}
	
	public String getHelp() {
		return "Removes a users admin status (console only)";
	}
	
	public String getArgs() {
		return "<username>";
	}
	
	public String getPermission() {
		return null;
	}

	public void run(Proxy proxy, ProxyHandler player, String[] args) {
		if(args.length < 1)
			throw new RunException("Please provide a username");
		User user = proxy.getUser(args[0]);
		if(user == null)
			throw new RunException("'%s' is not registered", args[0]);
		if(!user.isAdmin())
			throw new RunException("%s is not an admin", user.getUsername());
		user.setAdmin(false);
		proxy.sendServerCommand("deop", user.getUsername());
		if(user.isOnline())
			((ProxyHandler)user).sendMessage(Formatter.RED + "Your admin privileges were revoked");
		sendInfo(player, "%s is no longer an admin", user.getUsername());
	}
	
	public Iterable<String> complete(Proxy proxy, ProxyHandler player, String[] args, String[] serverMatches) {
		return args.length == 1 ? Collections2.filter(proxy.getUserNames(), user -> proxy.getUser(user).isAdmin()) : null;
	}
}
