package proxy.command;

import proxy.Proxy;
import proxy.handler.ProxyHandler;
import proxy.util.Formatter;

public class CommandTellraw extends Command {
	public String getName() {
		return "tellraw";
	}
	
	public String getHelp() {
		return "Sends a raw message to a player";
	}
	
	public String getArgs() {
		return "<player> <message ...>";
	}

	public void run(Proxy proxy, ProxyHandler player, String[] args) {
		if(args.length < 2)
			throw new RunException("Please provide a player name and a message");
		ProxyHandler plr = proxy.getPlayer(args[0]);
		if(plr == null)
			throw new RunException("'%s' is not online", args[0]);
		plr.sendMessage(Formatter.joinSpace(1, args));
		if(plr != player)
			sendInfo(player, "Message sent to %s", plr.getUsername());
	}
	
	public Iterable<String> complete(Proxy proxy, ProxyHandler player, String[] args, String[] serverMatches) {
		return args.length == 1 ? proxy.getPlayerNames() : null;
	}
}
