package proxy.network;

import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToByteEncoder;
import proxy.util.Log;

import java.io.IOException;

public class Encoder extends MessageToByteEncoder<Packet>
{
    private final Direction direction;

    public Encoder(Direction direction)
    {
        this.direction = direction;
    }

    protected void encode(ChannelHandlerContext p_encode_1_, Packet p_encode_2_, ByteBuf p_encode_3_) throws IOException, Exception
    {
        Integer integer = ((Protocol)p_encode_1_.channel().attr(Connection.STATE).get()).getPacketId(this.direction, p_encode_2_);

        if (integer == null)
        {
            throw new IOException("Can't serialize unregistered packet");
        }
        else
        {
            PacketBuffer packetbuffer = new PacketBuffer(p_encode_3_);
            packetbuffer.writeVarIntToBuffer(integer.intValue());

            try
            {
                p_encode_2_.writePacketData(packetbuffer);
            }
            catch (Throwable throwable)
            {
                Log.error(throwable, "Could not serialize packet");
            }
        }
    }
}
