package proxy.packet;

import java.io.IOException;

import proxy.handler.StatusHandler;
import proxy.network.Packet;
import proxy.network.PacketBuffer;

public class I00PacketServerInfo implements Packet<StatusHandler> {
	
	private String response;

	public I00PacketServerInfo() {
	}

	public I00PacketServerInfo(ServerInfo responseIn) {
		this.response = responseIn.serialize();
	}

	/**
	 * Reads the raw packet data from the data stream.
	 */
	public void readPacketData(PacketBuffer buf) throws IOException {
		this.response = buf.readStringFromBuffer(32767);
	}

	/**
	 * Writes the raw packet data to the data stream.
	 */
	public void writePacketData(PacketBuffer buf) throws IOException {
		buf.writeString(this.response);
	}

	/**
	 * Passes this Packet on to the NetHandler for processing.
	 */
	public void processPacket(StatusHandler handler) {
	}
}
