package proxy.packet;

import java.io.IOException;

import proxy.handler.StatusHandler;
import proxy.network.Packet;
import proxy.network.PacketBuffer;

public class Q01PacketPing implements Packet<StatusHandler>
{
    private long clientTime;

    public Q01PacketPing()
    {
    }

    public Q01PacketPing(long ping)
    {
        this.clientTime = ping;
    }

    /**
     * Reads the raw packet data from the data stream.
     */
    public void readPacketData(PacketBuffer buf) throws IOException
    {
        this.clientTime = buf.readLong();
    }

    /**
     * Writes the raw packet data to the data stream.
     */
    public void writePacketData(PacketBuffer buf) throws IOException
    {
        buf.writeLong(this.clientTime);
    }

    /**
     * Passes this Packet on to the NetHandler for processing.
     */
    public void processPacket(StatusHandler handler)
    {
        handler.processPing(this);
    }

    public long getClientTime()
    {
        return this.clientTime;
    }
}
