package proxy.packet;

import java.io.IOException;

import proxy.handler.ProxyHandler;
import proxy.network.Packet;
import proxy.network.PacketBuffer;

public class S45PacketTitle implements Packet<ProxyHandler> {
	private static enum Type {
		TITLE, SUBTITLE, TIMES, CLEAR, RESET;
	}

	private Type type;
	private String message;
	private int fadeInTime;
	private int displayTime;
	private int fadeOutTime;

	public void readPacketData(PacketBuffer buf) throws IOException {
		this.type = buf.readEnumValue(Type.class);
		if(this.type == Type.TITLE || this.type == Type.SUBTITLE)
			this.message = buf.readChatComponent();
		else if(this.type == Type.TIMES) {
			this.fadeInTime = buf.readInt();
			this.displayTime = buf.readInt();
			this.fadeOutTime = buf.readInt();
		}
	}

	public void writePacketData(PacketBuffer buf) throws IOException {
		buf.writeEnumValue(this.type);
		if(this.type == Type.TITLE || this.type == Type.SUBTITLE)
			buf.writeChatComponent(this.message);
		else if(this.type == Type.TIMES) {
			buf.writeInt(this.fadeInTime);
			buf.writeInt(this.displayTime);
			buf.writeInt(this.fadeOutTime);
		}
	}

	public void processPacket(ProxyHandler handler) {
	}
}
