package proxy.packet;

public class Vec3 {
	private final int x;
	private final int y;
	private final int z;

	public Vec3(int x, int y, int z) {
		this.x = x;
		this.y = y;
		this.z = z;
	}

	public Vec3(long packed) {
		this.x = (int)(packed >> 38);
		this.y = (int)(packed << 26 >> 52);
		this.z = (int)(packed << 38 >> 38);
	}

	public int getX() {
		return this.x;
	}

	public int getY() {
		return this.y;
	}

	public int getZ() {
		return this.z;
	}

	public long pack() {
		return ((long)this.x & 0x3ffffff) << 38 | ((long)this.y & 0xfff) << 26 | ((long)this.z & 0x3ffffff) << 0;
	}
}
