package proxy.util;

import java.io.IOException;
import java.lang.ProcessBuilder.Redirect;
import proxy.Proxy;

public class ViaProxyProcess extends SubProcess {
	public ViaProxyProcess(Proxy proxy) {
		super(proxy, "viaproxy");
	}
	
	protected Process createProcess() throws IOException {
		return new ProcessBuilder(
			this.proxy.getViaProxyJavaPath().isEmpty() ? getJavaDir() : this.proxy.getViaProxyJavaPath(), 
			"-Xmx" + this.proxy.getViaProxyMaxMem() + "m", 
			"-jar", "viaproxy.jar", 
			"cli", 
			"--proxy-online-mode", "false", 
			"--chat-signing", "false", 
			"--target-version", "1.8.x", 
			"--compression-threshold", "" + this.proxy.getCompression(), 
			"--target-address", "127.0.0.1:" + this.proxy.getProxyPort(), 
			"--bind-address", (this.proxy.getBindHost().isEmpty() ? "0.0.0.0" : this.proxy.getBindHost()) + ":" + this.proxy.getBindPort()
		).directory(this.dir).redirectOutput(Redirect.INHERIT).redirectError(Redirect.INHERIT).redirectInput(Redirect.PIPE).start();
	}
	
	protected String getStopCommand() {
		return "exit";
	}

	protected void setup() {
		this.copyJar("viaproxy.jar", "viaproxy.jar");
	}
}
